Bug 122907 - enforcinfg is a typo in /etc/sysconfig/selinux
Summary: enforcinfg is a typo in /etc/sysconfig/selinux
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-10 10:53 UTC by Tom Mitchell
Modified: 2014-03-17 02:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-21 20:36:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom Mitchell 2004-05-10 10:53:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031007

Description of problem:
/etc/sysconfig/selinux default text contains a typo that 
will confuse just enough people that it
should be fixed. 

i.e. 
   enforcinfg =/= enforcing

the default contents look like...

# This file controls the state of SELinux on the system.
# SELINUX= can take one of these three values:
#       enforcinfg - SELinux security policy is enforced.
#       permissive - SELinux prints warnings instead of enforcing.
#       disabled - No SELinux policy is loaded.
SELINUX=disabled


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Inspect default file
2. cut and paste "enforcinfg" to replace "disabled"
3. test to see if "enforcing" is active.
    

Additional info:


this file would also be a good place for comments on the
necessary steps prior to setting enforcing (fixfiles relabel)
in permissive mode/state.

note also 
   # rpm -q --whatprovides /etc/sysconfig/selinux
   file /etc/sysconfig/selinux is not owned by any package

Comment 1 Tom Mitchell 2004-05-10 11:09:29 UTC
/usr/sbin/lokkit appears to be the source of this file.
   # rpm -q --whatprovides /usr/sbin/lokkit
   system-config-securitylevel-tui-1.3.11-1
 
  # strings /usr/sbin/lokkit | grep enforcinfg
  #       enforcinfg - SELinux security policy is enforced.

Comment 2 Bill Nottingham 2004-05-21 20:36:07 UTC
Fixed in 1.3.13-1.


Note You need to log in before you can comment on or make changes to this bug.